Get Payment List
curl --request GET \
--url https://api.dompetx.com/v1/payments \
--header 'X-DOMPAY-API-Key: <api-key>' \
--header 'X-DOMPAY-Signature: <api-key>' \
--header 'X-DOMPAY-Timestamp: <api-key>'import requests
url = "https://api.dompetx.com/v1/payments"
headers = {
"X-DOMPAY-API-Key": "<api-key>",
"X-DOMPAY-Signature": "<api-key>",
"X-DOMPAY-Timestamp": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-DOMPAY-API-Key': '<api-key>',
'X-DOMPAY-Signature': '<api-key>',
'X-DOMPAY-Timestamp': '<api-key>'
}
};
fetch('https://api.dompetx.com/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Payments
Get Payment List
GET
/
payments
Get Payment List
Overview
Retrieve a list of all payment transactions for your merchant account.Query Parameters
page(integer, optional): Page number for paginationlimit(integer, optional): Number of items per page
Response Example
{
"data": [
{
"id": "dbd245ac-421d-4e79-ba1a-4a0f90d75dae",
"status": "paid",
"amount": 50000,
"currency": "IDR",
"type": "qr_dynamic",
"provider": "dompetx",
"createdAt": "2025-11-05T04:54:05Z",
"expiresAt": "2025-11-05T05:09:05Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 100
}
}
⌘I